# $Id: g4config2.in,v 1.0 2007/06/01
#
# Geant4 configuration macro for PAMG4_VMC 
# (settings after initialization)

# Print material properties
#
#/mcDet/printMaterials

## Verbose settings
/mcRegions/print 0
/run/verbose 0
/event/verbose 0
/mcVerbose/all 0
/mcVerbose/runAction 0
/mcVerbose/eventAction 0

# Physics list setting
# 
##/process/inactivate phot
##/process/inactivate conv
##/process/inactivate compt
##/process/inactivate Scintillation


###SWITHCNG OFF ALL PROCESSES

/mcPhysics/rangeCutForGamma 277 m
/mcPhysics/rangeCutForElectron 12.3 cm
/mcPhysics/rangeCutForPositron 12.6 cm
/run/particle/applyCuts
#/run/particle/dumpCutValues

## Electromagnetic processes

#/process/inactivate msc            
#/process/inactivate ionIoni
#/process/inactivate hIoni
#/process/inactivate eIoni
#/process/inactivate eBrem

/run/initialize
/process/inactivate annihil

#/process/inactivate phot
#/process/inactivate compt 
#/process/inactivate conv
#/process/inactivate muIoni
#/process/inactivate muBrems
#/process/inactivate muPairProd
#/process/inactivate PhotonInelastic

## Hadronic Gamma-and Lepto-Nuclear

/process/inactivate ElectroNuclear
/process/inactivate PositronNuclear

## General Process
/process/inactivate Decay      

#/process/inactivate hElastic

## Hadronic Inelastic, Capture and Fission

/process/inactivate NeutronInelastic
/process/inactivate HadronCapture
/process/inactivate HadronFission
/process/inactivate ProtonInelastic
/process/inactivate PionPlusInelastic
/process/inactivate PionMinusInelastic
/process/inactivate KaonPlusInelastic
/process/inactivate KaonMinusInelastic 
/process/inactivate KaonZeroLInelastic 
/process/inactivate KaonZeroSInelastic
/process/inactivate AntiProtonInelastic 
/process/inactivate AntiNeutronInelastic  
/process/inactivate LambdaInelastic 
/process/inactivate AntiLambdaInelastic
/process/inactivate SigmaMinusInelastic   
/process/inactivate AntiSigmaMinusInelastic   
/process/inactivate SigmaPlusInelastic   
/process/inactivate AntiSigmaPlusInelastic
/process/inactivate XiMinusInelastic   
/process/inactivate AntiXiMinusInelastic   
/process/inactivate XiZeroInelastic   
/process/inactivate AntiXiZeroInelastic
/process/inactivate OmegaMinusInelastic   
/process/inactivate AntiOmegaMinusInelastic   

## Hadronic At-rest

/process/inactivate CHIPSNuclearAbsorptionAtRest   
/process/inactivate muMinusCaptureAtRest


## Hadronic Inelastic

/process/inactivate dInelastic   
/process/inactivate tInelastic   
/process/inactivate He3Inelastic   
/process/inactivate alphaInelastic
/process/inactivate ionInelastic   

## not to be switched off

#/process/inactivate specialCutForChargedHadron   
#/process/inactivate specialCutForNeutralHadron   
#/process/inactivate specialCutForEplus
#/process/inactivate specialCutForElectron   
#/process/inactivate specialCutForGamma   
#/process/inactivate specialCutForMuon   
#/process/inactivate specialControls


###END

#/mcPhysics/rangeCutForGamma 277 m
#/mcPhysics/rangeCutForElectron 12.3 cm
#/mcPhysics/rangeCutForPositron 12.6 cm
#/run/particle/applyCuts
#/run/particle/dumpCutValues

# Limit max number of Cerenkov photons per step
# (Needed as Cerenkov process does not limit step itself)
#
##/mcPhysics/setCerenkovMaxPhotons 5
